# .NET Core September 2016 Update for .NET Core 1.0 mainfest

The following is a comprehensive manifest of packages released with September 2016 Update for .NET Core 1.0.

This new document is meant to provide the set of current supported package versions under the .NET Core umbrella. The format and contents will be refined as we receive feedback. There are a few purposes for the manifest.

- Communicate what has changed in an update at the package level.
- Provide a way to determine that an installation of .NET Core is in a supported state with respect to updates. The latest released patch level is required for support.

To see details on specific issues fixed, visit the [Core](https://github.com/dotnet/core/releases/tag/1.0.1), [ASP](https://github.com/aspnet/home/releases/1.0.1) and [EF](https://github.com/aspnet/EntityFramework/releases/tag/rel%2f1.0.1) release pages.

## Meta-packages

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.NETCore.App                                               | 1.0.1*            |
| NETStandard.Library                                                 | 1.6.0             |

## ASP.NET Core

All packages updated.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.AspNetCore.Antiforgery                                    | 1.0.1             |
| Microsoft.AspNetCore.Mvc                                            | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Abstractions                               | 1.0.1             |
| Microsoft.AspNetCore.Mvc.ApiExplorer                                | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Core                                       | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Cors                                       | 1.0.1             |
| Microsoft.AspNetCore.Mvc.DataAnnotations                            | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Formatters.Json                            | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Formatters.Xml                             | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Localization                               | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Razor                                      | 1.0.1             |
| Microsoft.AspNetCore.Mvc.Razor.Host                                 | 1.0.1             |
| Microsoft.AspNetCore.Mvc.TagHelpers                                 | 1.0.1             |
| Microsoft.AspNetCore.Mvc.ViewFeatures                               | 1.0.1             |
| Microsoft.AspNetCore.Mvc.WebApiCompatShim                           | 1.0.1             |
| Microsoft.AspNetCore.Routing                                        | 1.0.1             |
| Microsoft.AspNetCore.Routing.Abstractions                           | 1.0.1             |
| Microsoft.AspNetCore.Server.Kestrel                                 | 1.0.1             |
| Microsoft.AspNetCore.Server.Kestrel.Https                           | 1.0.1             |

## Entity Framework Core

All packages updated.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.EntityFrameworkCore                                       | 1.0.1             |
| Microsoft.EntityFrameworkCore.InMemory                              | 1.0.1             |
| Microsoft.EntityFrameworkCore.Relational                            | 1.0.1             |
| Microsoft.EntityFrameworkCore.Relational.Design                     | 1.0.1             |
| Microsoft.EntityFrameworkCore.Relational.Design.Specification.Tests | 1.0.1             |
| Microsoft.EntityFrameworkCore.Relational.Specification.Tests        | 1.0.1             |
| Microsoft.EntityFrameworkCore.Specification.Tests                   | 1.0.1             |
| Microsoft.EntityFrameworkCore.Sqlite                                | 1.0.1             |
| Microsoft.EntityFrameworkCore.Sqlite.Design                         | 1.0.1             |
| Microsoft.EntityFrameworkCore.SqlServer                             | 1.0.1             |
| Microsoft.EntityFrameworkCore.SqlServer.Design                      | 1.0.1             |

## CoreCLR

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| Microsoft.NETCore.JIT                                               | 1.0.4*            |
| Microsoft.NETCore.Runtime.CoreCLR                                   | 1.0.4*            |
| Microsoft.NETCore.DotNetHost                                        | 1.0.1             |
| Microsoft.NETCore.DotNetHostPolicy                                  | 1.0.1             |
| Microsoft.NETCore.DotNetHostResolver                                | 1.0.1             |
| Microsoft.NETCore.Platforms                                         | 1.0.1             |
| Microsoft.NETCore.Targets	                                          | 1.0.1             |
| Microsoft.NETCore.Windows.ApiSets	                                  | 1.0.1             |


## Microsoft.NETCore.App (1.0.1)

Updated packages at the top of the table and marked with an *.

| NuGet Package                                                         | Package Version   |
| -------------------------------------------------------------------   | :---------------: |
| Microsoft.NETCore.App                                                 | 1.0.1*            |
| Libuv                                                                 | 1.9.0             |
| Microsoft.CodeAnalysis.Analyzers                                      | 1.1.0             |
| Microsoft.CodeAnalysis.Common                                         | 1.3.0             |
| Microsoft.CodeAnalysis.CSharp                                         | 1.3.0             |
| Microsoft.CodeAnalysis.VisualBasic                                    | 1.3.0             |
| Microsoft.CSharp                                                      | 4.0.1             |
| Microsoft.VisualBasic                                                 | 10.0.1            |
| Microsoft.Win32.Primitives                                            | 4.0.1             |
| Microsoft.Win32.Registry                                              | 4.0.0             |
| NETStandard.Library                                                   | 1.6.0             |
| runtime.native.System                                                 | 4.0.0             |
| runtime.native.System.IO.Compression                                  | 4.1.0             |
| runtime.native.System.Net.Http                                        | 4.0.1             |
| runtime.native.System.Net.Security                                    | 4.0.1             |
| runtime.native.System.Security.Cryptography                           | 4.0.0             |
| System.AppContext                                                     | 4.1.0             |
| System.Buffers                                                        | 4.0.0             |
| System.Collections                                                    | 4.0.11            |
| System.Collections.Concurrent                                         | 4.0.12            |
| System.Collections.Immutable                                          | 1.2.0             |
| System.ComponentModel                                                 | 4.0.1             |
| System.ComponentModel.Annotations                                     | 4.0.1             |
| System.Console                                                        | 4.0.0             |
| System.Diagnostics.Debug                                              | 4.0.11            |
| System.Diagnostics.DiagnosticSource                                   | 4.0.0             |
| System.Diagnostics.FileVersionInfo                                    | 4.0.0             |
| System.Diagnostics.Process                                            | 4.1.0             |
| System.Diagnostics.StackTrace                                         | 4.0.1             |
| System.Diagnostics.Tools                                              | 4.0.1             |
| System.Diagnostics.Tracing                                            | 4.1.0             |
| System.Dynamic.Runtime                                                | 4.0.11            |
| System.Globalization                                                  | 4.0.11            |
| System.Globalization.Calendars                                        | 4.0.1             |
| System.Globalization.Extensions                                       | 4.0.1             |
| System.IO                                                             | 4.1.0             |
| System.IO.Compression                                                 | 4.1.0             |
| System.IO.Compression.ZipFile                                         | 4.0.1             |
| System.IO.FileSystem                                                  | 4.0.1             |
| System.IO.FileSystem.Primitives                                       | 4.0.1             |
| System.IO.FileSystem.Watcher                                          | 4.0.0             |
| System.IO.MemoryMappedFiles                                           | 4.0.0             |
| System.IO.UnmanagedMemoryStream                                       | 4.0.1             |
| System.Linq                                                           | 4.1.0             |
| System.Linq.Expressions                                               | 4.1.0             |
| System.Linq.Parallel                                                  | 4.0.1             |
| System.Linq.Queryable                                                 | 4.0.1             |
| System.Net.Http                                                       | 4.1.0             |
| System.Net.NameResolution                                             | 4.0.0             |
| System.Net.Primitives                                                 | 4.0.11            |
| System.Net.Requests                                                   | 4.0.11            |
| System.Net.Security                                                   | 4.0.0             |
| System.Net.Sockets                                                    | 4.1.0             |
| System.Net.WebHeaderCollection                                        | 4.0.1             |
| System.Numerics.Vectors                                               | 4.1.1             |
| System.ObjectModel                                                    | 4.0.12            |
| System.Reflection                                                     | 4.1.0             |
| System.Reflection.DispatchProxy                                       | 4.0.1             |
| System.Reflection.Emit                                                | 4.0.1             |
| System.Reflection.Emit.ILGeneration                                   | 4.0.1             |
| System.Reflection.Emit.Lightweight                                    | 4.0.1             |
| System.Reflection.Extensions                                          | 4.0.1             |
| System.Reflection.Metadata                                            | 1.3.0             |
| System.Reflection.Primitives                                          | 4.0.1             |
| System.Reflection.TypeExtensions                                      | 4.1.0             |
| System.Resources.Reader                                               | 4.0.0             |
| System.Resources.ResourceManager                                      | 4.0.1             |
| System.Runtime                                                        | 4.1.0             |
| System.Runtime.Extensions                                             | 4.1.0             |
| System.Runtime.Handles                                                | 4.0.1             |
| System.Runtime.InteropServices                                        | 4.1.0             |
| System.Runtime.InteropServices.RuntimeInformation                     | 4.0.0             |
| System.Runtime.Loader                                                 | 4.0.0             |
| System.Runtime.Numerics                                               | 4.0.1             |
| System.Security.Claims                                                | 4.0.1             |
| System.Security.Cryptography.Algorithms                               | 4.2.0             |
| System.Security.Cryptography.Cng                                      | 4.2.0             |
| System.Security.Cryptography.Csp                                      | 4.0.0             |
| System.Security.Cryptography.Encoding                                 | 4.0.0             |
| System.Security.Cryptography.OpenSsl                                  | 4.0.0             |
| System.Security.Cryptography.Primitives                               | 4.0.0             |
| System.Security.Cryptography.X509Certificates                         | 4.1.0             |
| System.Security.Principal                                             | 4.0.1             |
| System.Security.Principal.Windows                                     | 4.0.0             |
| System.Text.Encoding                                                  | 4.0.11            |
| System.Text.Encoding.CodePages                                        | 4.0.1             |
| System.Text.Encoding.Extensions                                       | 4.0.11            |
| System.Text.RegularExpressions                                        | 4.1.0             |
| System.Threading                                                      | 4.0.11            |
| System.Threading.Overlapped                                           | 4.0.1             |
| System.Threading.Tasks                                                | 4.0.11            |
| System.Threading.Tasks.Dataflow                                       | 4.6.0             |
| System.Threading.Tasks.Extensions                                     | 4.0.0             |
| System.Threading.Tasks.Parallel                                       | 4.0.1             |
| System.Threading.Thread                                               | 4.0.0             |
| System.Threading.ThreadPool                                           | 4.0.10            |
| System.Threading.Timer                                                | 4.0.1             |
| System.Xml.ReaderWriter                                               | 4.0.11            |
| System.Xml.XDocument                                                  | 4.0.11            |
| System.Xml.XmlDocument                                                | 4.0.1             |
| System.Xml.XPath                                                      | 4.0.1             |
| System.Xml.XPath.XmlDocument                                          | 4.0.1             |

## WCF

No packages updated.

| NuGet Package                                                       | Package Version   |
| ------------------------------------------------------------------- | :---------------: |
| System.ServiceModel.Duplex                                          | 4.0.1             |
| System.ServiceModel.Http                                            | 4.1.0             |
| System.ServiceModel.NetTcp                                          | 4.1.0             |
| System.ServiceModel.Primitives                                      | 4.1.0             |
| System.ServiceModel.Security                                        | 4.0.1             |
| System.Private.ServiceModel                                         | 4.1.0             |
