# Release Notes

## .NET Core September 2016 Update - 1.0.1 released 9/13/2016

A few highlights on this release can be read about on the [.NET Blog](https://blogs.msdn.microsoft.com/dotnet/) and if you haven't already discovered the updated [.NET Portal](https://go.microsoft.com/fwlink/?LinkID=798306), make that your next destination for getting started with .NET Core.

This release coincides with a security advisory for MVC. See the following for additional details.

* [Advisory](https://docs.microsoft.com/security-updates/SecurityAdvisories/2016/3181759)
* [Announcement](https://github.com/aspnet/Announcements/issues/203)
* [Discussion](https://github.com/aspnet/Mvc/issues/5271)

## Closed Issues for 1.0.1

The fix list below includes a number of components under the .NET Core umbrella with links to the respective repos. Additionally, links to the release pages for each repo participating in this release can be accessed from the [dotnet/core release page](https://github.com/dotnet/core/releases/tag/1.0.1).

### CoreCLR

* [5837](https://github.com/dotnet/coreclr/issues/5837) - When loading analyzer assemblies on CoreCLR on Mac/Linux PowerShell hits a segmentation fault.
* [6016](https://github.com/dotnet/coreclr/issues/6016) - Linux kernel 4.6.x seg fault

### JIT

* [6460](https://github.com/dotnet/coreclr/issues/6460) - In Jitstartup, JIT creates a file descriptor for stdout and unconditionally passes it to setmode, without checking for failures.

### CLI

* [3950](https://github.com/dotnet/cli/pull/3950) - Update cshtml wildcard in publishOptions
* [3948](https://github.com/dotnet/cli/pull/3948) - Update MVC version to 1.0.1
* [3789](https://github.com/dotnet/cli/pull/3789) - Update F# dotnet-new templates for Preview 2

### ASP.NET Core

* Please see the [ASP.NET Core release page](https://github.com/aspnet/home/releases/1.0.1) for details on fixes for ASP.NET Core, MVC, Entity Framework Core and other components.
