# Release Notes

## .NET Core March 2017 Update - Released 3/7/2017

* .NET Core SDK 1.0.0 and 1.0.1
* [.NET Core 1.0.4](https://github.com/dotnet/core/blob/main/release-notes/1.0/1.0.4.md)
* [.NET Core 1.1.1](https://github.com/dotnet/core/blob/main/release-notes/1.1/1.1.1.md)

[.NET Core 1.0.4](https://github.com/dotnet/core/blob/main/release-notes/1.0/1.0.4.md) was released today. Both releases include reliability updates to improve the quality of .NET Core. You can download the .NET Core Runtime releases via our [.NET Core Runtimes download page](https://dotnet.microsoft.com/download/dotnet/current/runtime). If you are looking for the .NET Core SDK, to get the latest tools, try the [.NET Core SDK download page](https://dotnet.microsoft.com/download).

Have a look at the [.NET announcement blog post](https://blogs.msdn.microsoft.com/dotnet/2017/03/07/announcing-net-core-tools-1-0/) for details and great context around the release. Visual Studio 2017 is also releasing today and you can read about it in their [announcement](https://blogs.msdn.microsoft.com/visualstudio/).

### .NET Core SDK 1.0.0 and 1.0.1

**.NET Core SDK 1.0.0** is releasing with Visual Studio 2017. The [announcement blog](https://blogs.msdn.microsoft.com/dotnet/2017/03/07/announcing-net-core-tools-1-0/) as well as the [RC4 blog post](https://blogs.msdn.microsoft.com/dotnet/2017/02/07/announcing-net-core-tools-updates-in-vs-2017-rc) have great details on what is available in this final release.

**.NET Core SDK 1.0.1**, available for download from the [.NET Core download page](https://dotnet.microsoft.com/download), also includes support for Fedora 24, OpenSUSE 42.1 and Ubuntu 16.10.

### project.json tools

[.NET Core Tools Preview 2 for Visual Studio 2015](https://go.microsoft.com/fwlink/?LinkID=827546) are available for teams that are still transitioning to the new csproj-based tooling.

#### F Sharp

See the [F# wiki](https://github.com/dotnet/netcorecli-fsc/wiki/.NET-Core-SDK-1.0.1) for important known issues and workarounds related to this release.

### Distro Updates

Each Distro version has a lifecycle at the end of which the maintainers cease providing support and updates. When a Distro comes to the end of its life as defined by the maintainer, we will also adjust the supported list for .NET Core. Support will not be actively blocked so .NET Core will likely continue to work but no support or updates for .NET Core will be offered.

Support for the following distros have been withdrawn to align with the respective OS support policy.

* Fedora 23
* OpenSUSE 13.2

### Docker Image Name Changes

The latest .NET Core runtime and tools are available from [Docker](https://hub.docker.com/r/microsoft/dotnet/) in the following Docker SDK images:

* 1.0.4-sdk
* 1.0.4-sdk-nanoserver
* 1.1.1-sdk
* 1.1.1-sdk-nanoserver

You can also use the .NET For runtime images, which contain the latest runtime updates:

* 1.0.4-runtime
* 1.0.4-runtime-nanoserver
* 1.1.1-runtime
* 1.1.1-runtime-nanoserver

### .NET Core 1.0.4 Symbol Packages

Symbol packages for .NET 1.0.4 are available for download from the following locations.

* [CoreCLR](https://go.microsoft.com/fwlink/?LinkID=843411)
* [CoreFX](https://go.microsoft.com/fwlink/?LinkID=843414)