# Commits to .NET Core 2.1.6 and .NET Core SDK 2.1.500

This is a curated list of commits across the .NET Core 2.1.6 development cycle.

* [CoreCLR](#coreclr)
* [CoreFX](#corefx)
* [CLI](#cli)
* [AspNetCore](#aspnetcore)

## CoreCLR

* [`[9bff252]`](https://github.com/dotnet/coreclr/commit/9bff252) Fix hijack for ARM/ARM64/x86 on Unix (#20116)

## CoreFX

* [`[cc4bb7b]`](https://github.com/dotnet/corefx/commit/cc4bb7b) Add Ubuntu 18.10 (Cosmic Cuttlefish) (#32292)
* [`[d3d3336]`](https://github.com/dotnet/corefx/commit/d3d3336) Read SSL_CERT_FILE contents before SSL_CERT_DIR contents (#32455)
* [`[615e5e9]`](https://github.com/dotnet/corefx/commit/615e5e9) Add system.io.pipelines stable version

## CLI

* [`[2153bca]`](https://github.com/dotnet/cli/commit/2153bca) Fixing exec with line breaks on windows now, affected by the same MSBuild change that changed how exec treats line endings.
* [`[48ed870]`](https://github.com/dotnet/cli/commit/48ed870) Updating exec for OSX by putting the whole command in a single line. There was a change in MSBuild where we changed the way the exec command is treated.
* [`[68b7810]`](https://github.com/dotnet/cli/commit/68b7810) Adding NU5123 to the NOWARN list. This was a new warning introduced by NuGet that we started hitting when upgrading to a newer SDK.
* [`[7441627]`](https://github.com/dotnet/cli/commit/7441627) Add DotnetTool path to avoid setting permanent env
* [`[4fb90d6]`](https://github.com/dotnet/cli/commit/4fb90d6) Installer metadata in ARP uses HTTP URLs
* [`[0996683]`](https://github.com/dotnet/cli/commit/0996683) Updated Reevaluate property name
* [`[090a10b]`](https://github.com/dotnet/cli/commit/090a10b) Adding NuGet project lock file options for dotnet restore command
* [`[3ccc359]`](https://github.com/dotnet/cli/commit/3ccc359) MSBuild SDK Resolver Improvements (#9547)

## AspNetCore

* [`[dfacde4]`](https://github.com/aspnet/AspNetCore/commit/dfacde4) Fix /t:FastCheck for local-projects
* [`[8356baf]`](https://github.com/aspnet/AspNetCore/commit/8356baf) Port ANCM installer changes to 2.1 (#3874)