# .NET Core 3.0.0 Preview 1 - December 04, 2018

.NET Core 3.0.0 Preview 1 is available for download and usage in your environment. This release includes .NET Core 3.0.0 Preview 1 and .NET Core SDK 3.0.100 Preview 1.

If Visual Studio is your preferred environment, you will need 16.0 Preview 1 to take full advantage of the .NET Core 3.0 Preview.

* [Downloads](#downloads)
* [Changes in this release](#notable-changes-in-300-preview-1)

## Blog Round up

* [Announcement blog post][dotnet-blog]

The .NET Core SDK 3.0.100 Preview 1 includes .NET Core 3.0 Runtime so downloading the runtime packages separately is not needed when installing the SDK. After installing the .NET Core SDK 3.0.100 preview, the following command will show that you're running version `3.0.100-preview-009812` of the tools.

`dotnet --version`

Your feedback is important and appreciated. We've created an issue at [dotnet/core #2099](https://github.com/dotnet/core/issues/2099) for your questions and comments.

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \| [ARM][dotnet-sdk-win-arm.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [ARM][dotnet-runtime-win-arm.zip] \| [ARM64][dotnet-runtime-win-arm64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \| [ARM][aspnetcore-runtime-win-arm.zip] <br> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg]  | [x64][dotnet-sdk-osx-x64.tar.gz]     | [x64][dotnet-runtime-osx-x64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] | [x64][aspnetcore-runtime-osx-x64.tar.gz]<sup>1</sup>
| Linux     |    | [x64][dotnet-sdk-linux-x64.tar.gz] \| [ARM][dotnet-sdk-linux-arm.tar.gz] \| [ARM64][dotnet-sdk-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | - | [x64][dotnet-runtime-linux-x64.tar.gz] \| [ARM][dotnet-runtime-linux-arm.tar.gz] \| [ARM64][dotnet-runtime-linux-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]] | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [ARM][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [ARM64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz]<sup>1</sup> |
| RHEL6     | -                                                | [x64][dotnet-sdk-rhel.6-x64.tar.gz]                    | -                                                        | [x64][dotnet-runtime-rhel.6-x64.tar.gz] | - |
| Checksums | [SDK][checksums-sdk]                             | -                                        | [Runtime][checksums-runtime]                             | - | - |
| Symbols   |  | -                                        | [Runtime][coreclr-symbols.zip] \| [Shared Framework][corefx-symbols.zip] \| [Setup][core-setup-symbols.zip] | - | [ASP.NET Core][aspnet-symbols.zip] |

1. Includes the .NET Core and ASP.NET Core Runtimes
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Core runtime.

## Notable Changes in 3.0.0 Preview 1

* Windows Desktop (WPF and Windows Forms) comes to .NET Core
* WPF, Windows Forms, and WinUI are now open sourced
* Support for applications to have executables by default
* Enabled dotnet build to copy dependencies
* Support for local dotnet tools using dotnet-tools.json
* Added a fast in-box JSON Reader (System.Text.Json.Utf8JsonReader)
* New Range and Index types
* Support for async streams
* Added System.Buffers.SequenceReader as a reader for ReadOnlySequence<T>
* Support for serial port APIs on Linux
* New APIs for GPIO, PWM, SPI and I2C
* Support for TLS 1.3 and OpenSSL 1.1.1 on Linux
* Cryptography improvements
* More BCL improvements 
* Support for adding default implementations of interface members
* Enabled tiered compilation by default for better performance
* Added assembly metadata reading with new MetadataLoadContext type
* Added support for ARM64 for Linux 

## Docker Images

The [.NET Core Docker images](https://hub.docker.com/r/microsoft/dotnet/) have been updated for this release. Details on our Docker versioning and how to work with the images can be seen in ["Staying up-to-date with .NET Container Images"](https://blogs.msdn.microsoft.com/dotnet/2018/06/18/staying-up-to-date-with-net-container-images/).

The following repos have been updated

* [microsoft/dotnet](https://hub.docker.com/r/microsoft/dotnet)
* [microsoft/dotnet-samples](https://hub.docker.com/r/microsoft/dotnet-samples)

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/3.0/preview/3.0.0-preview1.md

[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9fad78e1-5824-480f-8a2a-badd80a7ea1c/f3c498ed38d56a28927381f24b6c4398/dotnet-runtime-3.0.0-preview-27122-01-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/34f71157-b200-447d-b16f-f066c5b29de0/1446beda3ff085a0015c643176794041/dotnet-runtime-3.0.0-preview-27122-01-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b5add31b-a287-449c-9a70-84c4fe931a9e/f013b0a3c24e814d99a05f2a8b9f88f3/dotnet-runtime-3.0.0-preview-27122-01-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e160137d-6724-4ac1-84a2-3c0630b8e45f/3c6b990513498b7007e646f383f57654/dotnet-runtime-3.0.0-preview-27122-01-linux-x64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/69507539-d683-4ab5-a5c5-6fe356ce0e6a/ec078cea28f02351a1aa63b5615f1e63/dotnet-runtime-3.0.0-preview-27122-01-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/08ffb245-632f-4bbb-8e5c-587f58a38bac/fc85e87e32b96c7836ed2e9fa70d266c/dotnet-runtime-3.0.0-preview-27122-01-osx-x64.tar.gz
[dotnet-runtime-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/70591207-fccb-4103-8962-0c27a60f2649/92616b730123ff7b5c5ce8cc2e4ea0de/dotnet-runtime-3.0.0-preview-27122-01-rhel.6-x64.tar.gz
[dotnet-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/fda9d90c-46f5-49fd-bb49-a942009526a7/2773130531f6835dbf8ce6ebe5e8f556/dotnet-runtime-3.0.0-preview-27122-01-win-arm.zip
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/fca319aa-cd7a-4a4f-8925-68c3a582cee5/36605244a169b2abd47ba5b29e1a53f7/dotnet-runtime-3.0.0-preview-27122-01-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/f3204589-6440-4c30-bab2-85a4a2527a3a/5cfa835f7d568cb22f923cd7fba6f504/dotnet-runtime-3.0.0-preview-27122-01-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/da8e8666-ee52-4f05-8752-f1ecfba0fd4b/cb2191b53928b593d11f52fcb54d5d5e/dotnet-runtime-3.0.0-preview-27122-01-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/a2ce9ddc-475c-4c84-b9a2-e33ffbb5d484/3cea941a2f3fba5a2aec11b881d8bfff/dotnet-runtime-3.0.0-preview-27122-01-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/2cc395c2-53dc-4724-b6ab-d5acfef08fef/8418fef4b81dc3d07084b2bbee14e943/dotnet-runtime-3.0.0-preview-27122-01-win-x86.zip
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/384abba5-e296-465b-9d86-63b2c3c64110/bf0d67a1ae3a4f5752bf7cec1d2b284c/aspnetcore-runtime-3.0.0-preview-18579-0056-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c3f563f8-5665-43e1-9b71-d73664830e47/417bc08690f79f4dbadb79402df7c804/aspnetcore-runtime-3.0.0-preview-18579-0056-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/447e0676-2fe3-45f7-9eef-2db82d49ebbc/9547edf364daf6506a8415387ef03651/aspnetcore-runtime-3.0.0-preview-18579-0056-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/d5460b29-cab8-43e6-b939-d150f4119e5e/b6269597f778fb9932925d50e6a0b0ed/aspnetcore-runtime-3.0.0-preview-18579-0056-linux-x64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/989326ee-a70f-4781-a3f4-dde1496aa008/e5da8c23729c3ea663f38fc4386501e4/aspnetcore-runtime-3.0.0-preview-18579-0056-osx-x64.tar.gz
[aspnetcore-runtime-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/0f58e815-fe80-4a12-bb79-cd1baa1db060/b1d7285b12ef1f28d809000d4fc21244/aspnetcore-runtime-3.0.0-preview-18579-0056-win-arm.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/e8dff8d0-d147-4aa5-b737-801ca92a9695/dd60414d1bf1bb8854f80eec35e95cfa/aspnetcore-runtime-3.0.0-preview-18579-0056-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/16b164d8-b1f1-420d-aa35-c8fd3b5ff072/5bda13705accec695fb92237fcbe5c6a/aspnetcore-runtime-3.0.0-preview-18579-0056-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/61924087-dae8-4cae-a8eb-c67474d19a1b/82ac78d5b8863950d97a1615ced09001/aspnetcore-runtime-3.0.0-preview-18579-0056-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/8029eb2b-559f-4c0d-90a4-922bbe03e876/c4c50412220c0f1685ab5af4e57a2d9e/aspnetcore-runtime-3.0.0-preview-18579-0056-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/b6ed9bfd-a5e6-4f13-806a-aa829a03a46b/7916bf00d5d8ab4d831910a0d39cb70e/dotnet-hosting-3.0.0-preview-18579-0056-win.exe
[dotnet-sdk-osx-gs-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/f97c1f65-a021-4778-8c84-cc8305c49ac3/12c1ebf85f15551987682860d9dec0be/dotnet-sdk-3.0.100-preview-009812-osx-gs-x64.pkg
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/552ed9d1-4ce7-4fba-afba-0951e3243057/1ec33497645f15c68a1857f4abd0072f/dotnet-sdk-3.0.100-preview-009812-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/b1f2ff81-9e2e-4161-b984-7107c6a2b634/a0cba033134a5c1875f4971738823e71/dotnet-sdk-3.0.100-preview-009812-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0a0422a4-af0d-4742-a4ee-65bf87f146f9/6cad8369e06b3246fee3feab6d0256da/dotnet-sdk-3.0.100-preview-009812-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9f071c35-36b4-48c9-bcc2-b381ecb6cada/5be4784f19c28cb58f8c79219347201a/dotnet-sdk-3.0.100-preview-009812-linux-x64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/4331e5b4-528a-422d-a03e-6f4f877adc33/54651267c4af9d4b6dedb661f267085d/dotnet-sdk-3.0.100-preview-009812-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/55dc08a2-c7e9-4ba4-8a46-3f0272f870f3/bac5328572e26ed2ef5f63fbbc1e4522/dotnet-sdk-3.0.100-preview-009812-osx-x64.tar.gz
[dotnet-sdk-rhel.6-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/218bdea9-bbfc-43af-927a-cd075b075570/8fc8d3c1d797dd7c7ff55bf745963cc5/dotnet-sdk-3.0.100-preview-009812-rhel.6-x64.tar.gz
[dotnet-sdk-win-arm.zip]: https://download.visualstudio.microsoft.com/download/pr/a702865f-23c3-460e-968b-faaf6bd123db/20b16fb7e81f5b4faa32d6b5b12cb682/dotnet-sdk-3.0.100-preview-009812-win-arm.zip
[dotnet-sdk-win-gs-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/84a10ab3-4304-4cce-8ec7-9d9557b1c0fe/7319534102973dff178d8319f5263fcb/dotnet-sdk-3.0.100-preview-009812-win-gs-x64.exe
[dotnet-sdk-win-gs-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/b3445424-5fd7-4064-ae41-a08997939091/cf12037965ddee5cd85dd99dacfcea4e/dotnet-sdk-3.0.100-preview-009812-win-gs-x86.exe
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/8cc03c57-6193-42bb-86f3-e1587f3239bb/7e3c8a823a06c66a1429482c77524483/dotnet-sdk-3.0.100-preview-009812-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/453ffc14-c117-40b9-ba1a-077b6d457f0a/c34170b167165a6b15716ab86ce73c4e/dotnet-sdk-3.0.100-preview-009812-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/f4956615-2d42-47f3-ac35-f99866ee16bc/d884145214a40769281682d726899746/dotnet-sdk-3.0.100-preview-009812-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/8dbffd27-1acc-467d-b9fe-fb84332b8b2e/e34c8d63d88e4597e181ab6d2737e380/dotnet-sdk-3.0.100-preview-009812-win-x86.zip
[aspnet-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/2c62ae5b-209b-4f0f-9822-512319981766/32c5139973341c4a83dac5edd417136f/aspnet-3.0.0-preview1-symbols.zip
[core-setup-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/c12ffe56-4b65-4b36-8de3-f6ce7c7334dd/b1b2d998ea21a8e6381b94cee0cac336/core-setup-3.0.0-preview1-symbols.zip
[coreclr-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/89603152-1024-4dcd-a05a-0bf29f59ffc4/8508e69a69cd026aa800f09d425f1981/coreclr-3.0.0-preview1-symbols.zip
[corefx-symbols.zip]: https://download.visualstudio.microsoft.com/download/pr/eb8aff95-4641-46c0-a019-0747887b4d4d/6d90fb115413c773ab291984124f978b/corefx-3.0.0-preview1-symbols.zip

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.0-preview-27122-01-runtime-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/3.0.100-preview-009812-sdk-sha.txt

[linux-install]: https://docs.microsoft.com/dotnet/core/install/linux
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md

[dotnet-blog]: https://aka.ms/netcore3preview1
