# .NET Core 1.0.5 & 1.1.2 SDK 1.0.4

The installers and binary archives on this page include .NET Core 1.1.2 SDK 1.0.4. 

CheckSum files to verify downloads are available as follows:
* [Checksums_Shared_Framework](https://dotnetcli.blob.core.windows.net/dotnet/checksums/1.0.5-1.1.2-sharedfx-SHA.txt)
* [Checksums_SDK](https://dotnetcli.blob.core.windows.net/dotnet/checksums/1.0.4-SDK-SHA.txt) 

|                         | SDK Installer                                        | SDK Binaries                                        | Runtime Installer | Runtime Binaries |
| ----------------------- | :----------------------------------------------: | :----------------------------------------------:| :--: | :--: |
| Windows                 | [32-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-dev-win-x86.1.0.4.exe) / [64-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-dev-win-x64.1.0.4.exe)  | [32-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-win-x86.1.0.4.zip) / [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-win-x64.1.0.4.zip) | [32-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-win-x86.1.1.2.exe) / [64-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-win-x64.1.1.2.exe) | [32-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-win-x86.1.1.2.zip) / [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-win-x64.1.1.2.zip) |
| macOS                   | [64-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-dev-osx-x64.1.0.4.pkg)  | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-osx-x64.1.0.4.tar.gz)                          | [64-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-osx-x64.1.1.2.pkg) | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-osx-x64.1.1.2.tar.gz) |
| CentOS 7.1              | -                                                         | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-centos-x64.1.0.4.tar.gz)                          | - | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-centos-x64.1.1.2.tar.gz) |
| Debian 8                | -                                                         | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-debian-x64.1.0.4.tar.gz)                          | - | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-debian-x64.1.1.2.tar.gz) |
| Fedora 24               | -                                                         | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-fedora.24-x64.1.0.4.tar.gz)                          | - | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-fedora.24-x64.1.1.2.tar.gz) |
| openSUSE 42.1           | -                                                         | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-opensuse.42.1-x64.1.0.4.tar.gz)                          | - | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-opensuse.42.1-x64.1.1.2.tar.gz) |
| Ubuntu 14.04            | [64-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-sdk-ubuntu-x64.1.0.4.deb) | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-ubuntu-x64.1.0.4.tar.gz)                          | [64-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-sharedframework-ubuntu-x64.1.1.2.deb) | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-ubuntu-x64.1.1.2.tar.gz) |
| Ubuntu 16.04            | [64-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-sdk-ubuntu.16.04-x64.1.0.4.deb) | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-ubuntu.16.04-x64.1.0.4.tar.gz)                          | [64-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-sharedframework-ubuntu.16.04-x64.1.1.2.deb) | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-ubuntu.16.04-x64.1.1.2.tar.gz) |
| Ubuntu 16.10            | [64-bit](https://download.microsoft.com/download/B/9/F/B9F1AF57-C14A-4670-9973-CDF47209B5BF/dotnet-sdk-ubuntu.16.10-x64.1.0.4.deb) | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-ubuntu.16.10-x64.1.0.4.tar.gz)                          | [64-bit](https://download.microsoft.com/download/D/0/2/D028801E-0802-43C8-9F9F-C7DB0A39B344/dotnet-sharedframework-ubuntu.16.10-x64.1.1.2.deb) | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-ubuntu.16.10-x64.1.1.2.tar.gz) |
| RHEL 7             | -                                                              | [64-bit](https://download.microsoft.com/download/E/7/8/E782433E-7737-4E6C-BFBF-290A0A81C3D7/dotnet-dev-rhel-x64.1.0.4.tar.gz)                          | - | [64-bit](https://download.microsoft.com/download/D/7/A/D7A9E4E9-5D25-4F0C-B071-210CB8267943/dotnet-rhel-x64.1.1.2.tar.gz) |

## Symbol Packages

The following packages contain symbols for all platforms.

* CoreCLR [1.0.5](https://download.microsoft.com/download/E/A/9/EA914718-1550-467F-AEA7-2045525D4469/coreclr-1.0.5-symbols.zip) | [1.1.2](https://download.microsoft.com/download/4/D/8/4D8FFC29-5628-4D0F-A5D2-24E789FA275E/coreclr-1.1.2-symbols.zip )
* CoreFX [1.0.5](https://download.microsoft.com/download/E/A/9/EA914718-1550-467F-AEA7-2045525D4469/corefx-1.0.5-symbols.zip) | [1.1.2](https://download.microsoft.com/download/4/D/8/4D8FFC29-5628-4D0F-A5D2-24E789FA275E/corefx-1.1.2-symbols.zip )

## Installation from a binary archive

When using binary archives to install, we recommend the contents be extracted to /opt/dotnet and a symbolic link created for dotnet. If an earlier release of .NET Core is already installed, the directory and symbolic link may already exist.

### Install required system components

Some distro versions may already have these components installed. If that's the case, the install command will report there is nothing to do.

#### Fedora and CentOS based distros

`sudo yum install libunwind libicu`

#### SUSE Linux and OpenSUSE

`sudo zypper install libunwind libicu`

#### Ubuntu and Debian based distros

`sudo apt-get install curl libunwind8 gettext apt-transport-https``

```bash
sudo mkdir -p /opt/dotnet
sudo tar zxf [tar.gz filename] -C /opt/dotnet
sudo ln -s /opt/dotnet/dotnet /usr/local/bin
```

## Ubuntu installation

### Set up package source

The first step is to establish the source feed for the package manager. This is only needed if you have not previously set up the source or if you are installing on Ubuntu 16.10 for the first time.

#### Ubuntu 14.04 and Linux Mint 17

```bash
sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/ trusty main" > /etc/apt/sources.list.d/dotnetdev.list'
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 417A0893
sudo apt-get update
sudo apt-get install dotnet-dev-1.0.4
```

Installed packages

```
dotnet-host-ubuntu-x64.1.0.4.deb
dotnet-hostfxr-ubuntu-x64.1.0.4.deb
dotnet-sharedframework-ubuntu-x64.1.1.2.deb
dotnet-sdk-ubuntu-x64.1.0.4.deb
```

#### Ubuntu 16.04 and Linux Mint 18

```bash
sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/ xenial main" > /etc/apt/sources.list.d/dotnetdev.list'
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 417A0893
sudo apt-get update
sudo apt-get install dotnet-dev-1.0.4
```

Installed packages

```
dotnet-host-ubuntu.16.04-x64.1.0.4.deb
dotnet-hostfxr-ubuntu.16.04-x64.1.0.4.deb
dotnet-sharedframework-ubuntu.16.04-x64.1.1.2.deb
dotnet-sdk-ubuntu.16.04-x64.1.0.4.deb
```

#### Ubuntu 16.10

```bash
sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/ yakkety main" > /etc/apt/sources.list.d/dotnetdev.list'
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 417A0893
sudo apt-get update
sudo apt-get install dotnet-dev-1.0.4
```

Installed packages

```
dotnet-hostfxr-ubuntu.16.10-x64.1.0.4.deb
dotnet-host-ubuntu.16.10-x64.1.0.4.deb
dotnet-sharedframework-ubuntu.16.10-x64.1.1.2.deb
dotnet-sdk-ubuntu.16.10-x64.1.0.4.deb
```

## Windows Server Hosting
If you are looking to host stand-alone apps on Windows Servers, the ASP.NET Core Module for IIS can be installed separately on servers without installing .NET Core runtime. You can download the [Windows (Server Hosting) installer](https://go.microsoft.com/fwlink/?linkid=848766) and run the following command from an Administrator command prompt:

``DotNetCore.1.0.5_1.1.2-WindowsHosting.exe OPT_INSTALL_LTS_REDIST=0 OPT_INSTALL_FTS_REDIST=0``

The above mentoned command will install the ASP.NET Core Module (ANCM) only. Not specifying the OPT_INSTALL_LTS_REDIST or OPT_INSTALL_FTS_REDIST values will default those to 1 and will pull in the LTS or FTS as well.
